## org.codehaus.groovy.grails.plugins
Class AbstractGrailsPlugin.GrailsPluginClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.plugins.AbstractGrailsPlugin.GrailsPluginClass

All Implemented Interfaces:
  GrailsClass

Enclosing class:
  AbstractGrailsPlugin

     class AbstractGrailsPlugin.GrailsPluginClass

extends AbstractGrailsClass

Wrapper Grails class for plugins

Author:
  Graeme Rocher

Constructor Summary
`AbstractGrailsPlugin.GrailsPluginClass(Class clazz)`

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractGrailsPlugin.GrailsPluginClass

    public AbstractGrailsPlugin.GrailsPluginClass(Class clazz)

Copyright (c) 2005-2009 The Grails project